### Class

# Hitaki SndTascam

#### Description [src]

    class Hitaki.SndTascam : GObject.Object
      implements Hitaki.AlsaFirewire, Hitaki.TascamProtocol {
      /* No available fields */
    }

A GObject-derived object for sound unit of TASCAM FireWire series. The `HitakiSndTascam` is an object class derived from `GObject` with protocol implementation for TASCAM FireWire series supported by ALSA firewire-tascam driver (`snd-firewire-tascam`). The image of state consists of 64 quadlets according to `SNDRV_FIREWIRE_TASCAM_STATE_COUNT` in UAPI of ALSA firewire stack.

#### Ancestors

- GObject

#### Implements

- HitakiAlsaFirewire
- HitakiTascamProtocol

#### Constructors

###### hitaki_snd_tascam_new

Instantiate `HitakiSndTascam` object and return the instance.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from HitakiAlsaFirewire (4)

###### hitaki_alsa_firewire_create_source

Allocate `GSource` to handle events from ALSA HwDep character device.

###### hitaki_alsa_firewire_lock

Lock kernel driver bound to the associated ALSA HwDep character device so that it is prohibited to start packet streaming.

###### hitaki_alsa_firewire_open

Open the special file for ALSA HwDep character device.

###### hitaki_alsa_firewire_unlock

Unlock kernel driver bound to the associated ALSA HwDep character device so that it can start packet streaming.

##### Methods inherited from HitakiTascamProtocol (1)

###### hitaki_tascam_protocol_read_state

Read the latest image of device state.

#### Properties

##### Properties inherited from HitakiAlsaFirewire (6)

###### HitakiAlsaFirewire:card-id

The numeric identifier for sound card.

###### HitakiAlsaFirewire:guid

Global unique identifier for the node in IEEE 1394 bus.

###### HitakiAlsaFirewire:is-disconnected

Whether the sound card is unavailable. It becomes FALSE when the sound card is removed or driver is unbound to it. Then the owner of this object should call `g_object_unref()` as quickly as possible to release ALSA hwdep character device.

###### HitakiAlsaFirewire:is-locked

Whether the associated unit is locked or not to start packet streaming.

###### HitakiAlsaFirewire:node-device

The name of node device in Linux FireWire subsystem which owns the unit; e.g. `fw1`.

###### HitakiAlsaFirewire:unit-type

The type of sound unit.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from HitakiTascamProtocol (1)

###### HitakiTascamProtocol::changed

Emitted when the part of image differed for the change of device state.

#### Class structure

    struct HitakiSndTascamClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.